Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354711 - Recommend Satellite upgrades be initiated using either 'screen' or 'tmux'
Summary: Recommend Satellite upgrades be initiated using either 'screen' or 'tmux'
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Install Guide
Version: 6.1.9
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 6.2
Assignee: Stephen Wadeley
QA Contact: Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-12 02:14 UTC by Russell Dickenson
Modified: 2018-12-06 20:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-14 23:08:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1364255 None None None Never

Description Russell Dickenson 2016-07-12 02:14:15 UTC
Document URL: https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html-single/Installation_Guide/index.html#sect-Red_Hat_Satellite-Installation_Guide-Upgrading_Red_Hat_Satellite_Server_and_Capsule_Server-Upgrading_Red_Hat_Satellite

Section Number and Name: "Procedure 8.2. Upgrading Red Hat Satellite" and "Procedure 8.5. To Upgrade Red Hat Satellite Capsule:"

Describe the issue: If a customer starts an upgrade via a local SSH session from a laptop or similar, and the connection is lost, the status of the Satellite installation cannot be guaranteed and the customer may have to restore the entire Satellite instance prior to initiating the upgrade again. Satellite 6.1 to 6.2 version upgrades are estimated to run as long as 18 hours in cases where the customer has a lot of synchronised repositories. Restarting such a length upgrade could be costly in business terms.

Suggestions for improvement: Add to the upgrade prerequisites a recommendation that the upgrade be initiated from either a 'screen' or 'tmux' session so that it can be reconnected if the connection is interrupted. I believe that adding such a recommendation will avoid the need to restart an upgrade because the SSH session was interrupted and could not be reconnected.

Comment 1 Andrew Dahms 2016-08-05 01:41:36 UTC
Assigning to Stephen for review.

Stephen - can we add a note providing some context around the above suggestion to the upgrade content?

Comment 3 Stephen Wadeley 2016-08-05 09:05:19 UTC
(In reply to Russell Dickenson from comment #0)
> Document URL:
> https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html-
> single/Installation_Guide/index.html#sect-Red_Hat_Satellite-
> Installation_Guide-Upgrading_Red_Hat_Satellite_Server_and_Capsule_Server-
> Upgrading_Red_Hat_Satellite
> 
> Section Number and Name: "Procedure 8.2. Upgrading Red Hat Satellite" and
> "Procedure 8.5. To Upgrade Red Hat Satellite Capsule:"
> 
> Describe the issue: If a customer starts an upgrade via a local SSH session
> from a laptop or similar, and the connection is lost, the status of the
> Satellite installation cannot be guaranteed

they can check the logs.

Quoting from the 6.2 Installation guide:

When the script completes successfully, the following output is displayed:

Installing             Done
   [100%] [........................................]
   Success!
   * Satellite is running at https://satellite.example.com
       Default credentials are 'admin / changeme'
   * Capsule is running at https://satellite.example.com:9090
   * To install additional capsule on separate machine continue by running:

   capsule-certs-generate --capsule-fqdn "$CAPSULE" --certs-tar "~/$CAPSULE-certs.tar"

   The full log is at /var/log/foreman-installer/foreman-installer.log


= = = 

in the 6.1 guide it says:

 When the configuration script has completed successfully, it displays output similar to the following:

# katello-installer
Installing             Done
   [100%] [........................................]
   Success!
   * Katello is running at https://satellite.example.com
       Default credentials are 'admin:changeme'
   * Capsule is running at https://satellite.example.com:9090
   * To install additional capsule on separate machine continue by running:

   capsule-certs-generate --capsule-fqdn "$CAPSULE" --certs-tar "~/$CAPSULE-certs.tar"

   The full log is at /var/log/katello-installer/katello-installer.log

Comment 13 Andrew Dahms 2016-08-14 23:08:09 UTC
This content is live on the Customer Portal.

Closing.


Note You need to log in before you can comment on or make changes to this bug.